//
//  ViewController.m
//  ZQTLoadingView
//
//  Created by 赵群涛 on 16/5/19.
//  Copyright © 2016年 赵群涛. All rights reserved.
//

#import "ViewController.h"
#import "ZQTLoadingView.h"
#define kScreenHeight [UIScreen mainScreen].bounds.size.height
#define kScreenWidth  [UIScreen mainScreen].bounds.size.width
@interface ViewController ()
@property (nonatomic,strong) ZQTLoadingView *loadingView;//加载视图
@end

@implementation ViewController


- (ZQTLoadingView *)loadingView{
    
    if (!_loadingView) {
        _loadingView = [[ZQTLoadingView alloc] initWithFrame:CGRectMake(0, 0, kScreenWidth, kScreenHeight)];
    }
    
    return _loadingView;
}

- (void)viewDidLoad {
    [super viewDidLoad];
    self.view.backgroundColor = [UIColor colorWithRed:0.874 green:1.000 blue:0.468 alpha:1.000];
    


}
- (IBAction)btn:(id)sender {
    

    [self.view addSubview:self.loadingView];
    
    dispatch_after(dispatch_time(DISPATCH_TIME_NOW, (int64_t)(3.0 * NSEC_PER_SEC)), dispatch_get_main_queue(), ^{
        
        //模拟加载数据,成功之后消失加载动画  3s之后消失
        [self.loadingView dismissLoadingView];
        self.loadingView = nil;
        
    });
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
